/***********************************************************************\
	CInternetConfig.h
	
	A C++ class for using Internet Config
	
	by Dan Crevier
	
	version 1.0

\***********************************************************************/

#ifndef __ICTYPES__
#include "ICTypes.h"
#endif

#ifndef __ICAPI__
#include "ICAPI.h"
#endif

class CInternetConfig
{
	public:
		CInternetConfig(OSType applicationSig, FSSpec *prefFile = NULL);
		virtual ~CInternetConfig();

		Boolean ICInstalled() { return installed; };
		
		ICError GetEmailAddress(Str255 emailAddress);
		ICError GetRealName(Str255 realName);
		ICError GetMailHost(Str255 mailHost);
		
		ICError DoURL(StringPtr theURL);
		
		ICError MapFilename(StringPtr name, ICMapEntry *entry);
		ICError MapFilename(char *name, ICMapEntry *entry);
		
		ICError StartMapIteration(void);
		Boolean NextMapEntry(ICMapEntry *entry);
		ICError	FinishMapIteration(void);
	
	protected:
		ICInstance inst;
		Boolean installed;
		Handle mappings;
		long numMappings, currentPos;
};


